## glm 0.9.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)

project(glm)
enable_testing()

add_definitions(-D_CRT_SECURE_NO_WARNINGS)
#add_definitions(-pedantic)
#add_definitions(-S)
#add_definitions(-s)
#add_definitions(-msse2)
#add_definitions(-m32)
#add_definitions(-mfpmath=387)
#add_definitions(-ffast-math)
#add_definitions(-O3)

include_directories(".")

add_subdirectory(glm)
add_subdirectory(test)
add_subdirectory(bench)
add_subdirectory(doc)

option(GLM_TEST_MODE "GLM test" OFF)
if(NOT GLM_TEST_MODE)
	message(FATAL_ERROR "GLM is a header only library, no need to build it. Set the option GLM_TEST_MODE with ON to build and run the test bench")
endif()

install(DIRECTORY glm DESTINATION include)

=== test/CMakeLists.txt ===
function(glmCreateTestGTC NAME)
	set(SAMPLE_NAME test-${NAME})
	add_executable(${SAMPLE_NAME} ${NAME}.cpp ../test.hpp ../test.cpp)

	add_test( 
	    NAME ${SAMPLE_NAME}
	    COMMAND $<TARGET_FILE:${SAMPLE_NAME}> )
endfunction()

add_subdirectory(bug)
add_subdirectory(core)
add_subdirectory(gtc)
add_subdirectory(gtx)

=== test/core/CMakeLists.txt ===
glmCreateTestGTC(core_type_float)
glmCreateTestGTC(core_type_half)
glmCreateTestGTC(core_type_int)
glmCreateTestGTC(core_type_mat2x2)
glmCreateTestGTC(core_type_mat2x3)
glmCreateTestGTC(core_type_mat2x4)
glmCreateTestGTC(core_type_mat3x2)
glmCreateTestGTC(core_type_mat3x3)
glmCreateTestGTC(core_type_mat3x4)
glmCreateTestGTC(core_type_mat4x2)
glmCreateTestGTC(core_type_mat4x3)
glmCreateTestGTC(core_type_mat4x4)
glmCreateTestGTC(core_type_vec1)
glmCreateTestGTC(core_type_vec2)
glmCreateTestGTC(core_type_vec3)
glmCreateTestGTC(core_type_vec4)
glmCreateTestGTC(core_func_common)
glmCreateTestGTC(core_func_exponential)
glmCreateTestGTC(core_func_geometric)
glmCreateTestGTC(core_func_integer)
glmCreateTestGTC(core_func_matrix)
glmCreateTestGTC(core_func_noise)
glmCreateTestGTC(core_func_packing)
glmCreateTestGTC(core_func_trigonometric)
glmCreateTestGTC(core_func_vector_relational)

=== test/gtc/CMakeLists.txt ===
glmCreateTestGTC(gtc_half_float)
glmCreateTestGTC(gtc_matrix_access)
glmCreateTestGTC(gtc_matrix_integer)
glmCreateTestGTC(gtc_matrix_inverse)
glmCreateTestGTC(gtc_matrix_transform)
glmCreateTestGTC(gtc_quaternion)
glmCreateTestGTC(gtc_swizzle)
glmCreateTestGTC(gtc_type_precision)
glmCreateTestGTC(gtc_type_ptr)

=== test/gtx/CMakeLists.txt ===
glmCreateTestGTC(gtx-bit)
glmCreateTestGTC(gtx-noise)
glmCreateTestGTC(gtx-simd-vec4)
glmCreateTestGTC(gtx-simd-mat4)
glmCreateTestGTC(gtx-ulp)

=== debian/changelog ===
glm (0.9.2.0-2) unstable; urgency=low

  * Fix grammar in the package description.
  * Set section of libglm-doc to doc.

 -- Guus Sliepen <guus@debian.org>  Tue, 17 May 2011 10:21:57 +0200

glm (0.9.2.0-1) unstable; urgency=low

  * Initial release.

 -- Guus Sliepen <guus@debian.org>  Mon, 16 May 2011 14:55:26 +0200

## glm 0.9.2.6

=== debian/changelog ===
glm (0.9.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 04 Oct 2011 14:10:36 +0200

## glm 0.9.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,18 @@
 enable_testing()
 
 add_definitions(-D_CRT_SECURE_NO_WARNINGS)
-#add_definitions(-pedantic)
-#add_definitions(-S)
-#add_definitions(-s)
-#add_definitions(-msse2)
-#add_definitions(-m32)
-#add_definitions(-mfpmath=387)
-#add_definitions(-ffast-math)
-#add_definitions(-O3)
+
+if(CMAKE_COMPILER_IS_GNUCXX)
+	#add_definitions(/Za)
+	#add_definitions(-pedantic)
+	#add_definitions(-S)
+	#add_definitions(-s)
+	add_definitions(-msse2)
+	#add_definitions(-m32)
+	#add_definitions(-mfpmath=387)
+	#add_definitions(-ffast-math)
+	#add_definitions(-O3)
+endif()
 
 include_directories(".")

=== test/core/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
 glmCreateTestGTC(core_func_packing)
 glmCreateTestGTC(core_func_trigonometric)
 glmCreateTestGTC(core_func_vector_relational)
+glmCreateTestGTC(core_setup_message)
+glmCreateTestGTC(core_setup_precision)

=== test/gtx/CMakeLists.txt ===
glmCreateTestGTC(gtx_bit)
glmCreateTestGTC(gtx_noise)
glmCreateTestGTC(gtx_quaternion)
glmCreateTestGTC(gtx_random)
glmCreateTestGTC(gtx_rotate_vector)
glmCreateTestGTC(gtx_simd_vec4)
glmCreateTestGTC(gtx_simd_mat4)
glmCreateTestGTC(gtx_string_cast)
glmCreateTestGTC(gtx_ulp)
glmCreateTestGTC(gtx_vector_angle)

=== debian/changelog ===
glm (0.9.2.7-1) unstable; urgency=low

  * New upstream release.
  * Don't install jquery.js, it is not used anyway.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Nov 2011 16:09:24 +0100

=== debian/control ===
Source: glm
Priority: extra
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Section: libs
Homepage: http://glm.g-truc.net/

Package: libglm-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: C++ library for OpenGL GLSL type-based mathematics
 OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
 software based on the OpenGL Shading Language (GLSL) specification.
 .
 GLM provides classes and functions designed and implemented with the same
 naming conventions and functionalities as GLSL, so that when a programmer
 knows GLSL, he knows GLM as well, which makes it really easy to use.
 .
 This project isn't limited to GLSL features. An extension system, based on the
 GLSL extension conventions, provides extended capabilities: matrix
 transformations, quaternions, half-based types, random numbers, et cetera.
 .
 This library works perfectly together with OpenGL but it also ensures
 interoperability with other third party libraries and SDKs. It is a good
 candidate for software rendering (such as raytracing, rasterisation), image
 processing, physic simulations and any context that requires a simple and
 convenient mathematics library.

Package: libglm-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the OpenGL Mathematics (GLM) library
 OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
 software based on the OpenGL Shading Language (GLSL) specification.
 .
 This package contains the OpenGL Mathematics manual in HTML and PDF formats.

## glm 0.9.3.1

=== debian/changelog ===
glm (0.9.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 Jan 2012 12:31:46 +0100

## glm 0.9.3.2

=== debian/changelog ===
glm (0.9.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 21 Mar 2012 00:14:12 +0100

## glm 0.9.3.3

=== debian/changelog ===
glm (0.9.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 25 Jun 2012 22:55:53 +0200

## glm 0.9.3.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)

project(glm)
enable_testing()

add_definitions(-D_CRT_SECURE_NO_WARNINGS)

option(GLM_TEST_ENABLE "GLM test" OFF)
if(NOT GLM_TEST_ENABLE)
	message(FATAL_ERROR "GLM is a header only library, no need to build it. Set the option GLM_TEST_ENABLE with ON to build and run the test bench")
endif()

option(GLM_TEST_ENABLE_CXX_11 "Enable C++ 11" OFF)
if(GLM_TEST_ENABLE_CXX_11)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-std=c++11)
	endif()
elseif(NOT GLM_TEST_ENABLE_CXX_11)
	add_definitions(-DGLM_FORCE_CXX98)

	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-std=c++98)
	endif()
endif()

option(GLM_TEST_ENABLE_MS_EXTENSIONS "Enable MS extensions" OFF)
if(GLM_TEST_ENABLE_MS_EXTENSIONS)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-fms-extensions)
		add_definitions(-D_MSC_EXTENSIONS)
	endif()
elseif(NOT GLM_TEST_ENABLE_MS_EXTENSIONS)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-std=c++98)
		add_definitions(-pedantic)
	endif()

	if(MSVC)
		add_definitions(/Za)	
	endif()
endif()

option(GLM_TEST_ENABLE_SIMD "Enable SIMD optimizations" OFF)
if(GLM_TEST_ENABLE_SIMD)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-msse2)
	endif()

	if(MSVC)
		add_definitions(/arch:SSE2)	
	endif()
elseif(NOT GLM_TEST_ENABLE_SIMD)
	
	add_definitions(-DGLM_FORCE_PURE)

	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-mfpmath=387)
	endif()
endif()

option(GLM_TEST_ENABLE_FAST_MATH "Enable fast math optimizations" OFF)
if(GLM_TEST_ENABLE_FAST_MATH)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-ffast-math)
	endif()

	if(MSVC)
		add_definitions(/fp:fast)	
	endif()
elseif(NOT GLM_TEST_ENABLE_FAST_MATH)
	if(MSVC)
		add_definitions(/fp:precise)	
	endif()
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
	#add_definitions(-S)
	#add_definitions(-s)
	#add_definitions(-m32)
	#add_definitions(-O3)
    
    #add_definitions(-fprofile-arcs -ftest-coverage) gcov
    #ctest_enable_coverage()
endif()

include_directories(".")
include_directories("./test/external")

add_subdirectory(glm)
add_subdirectory(test)
add_subdirectory(bench)
add_subdirectory(doc)

install(DIRECTORY glm DESTINATION include)

=== bench/CMakeLists.txt ===
function(glmCreateBenchGTC NAME)
	set(SAMPLE_NAME bench-${NAME})

	add_executable(${SAMPLE_NAME} ${NAME}.cpp)
endfunction(glmCreateBenchGTC)

add_subdirectory(core)
add_subdirectory(gtc)
add_subdirectory(gtx)

=== doc/CMakeLists.txt ===
set(NAME glm-doc)

file(GLOB ROOT_TXT *.doxy ../*.txt ./theme/*.css)
file(GLOB ROOT_CPP src/*.cpp)
file(GLOB ROOT_XML src/*.xml)
file(GLOB ROOT_XSL src/*.xsl)

source_group("TXT Files" FILES ${ROOT_TXT})
source_group("XML Files" FILES ${ROOT_XML})
source_group("XSL Files" FILES ${ROOT_XSL})

add_executable(${NAME} ${ROOT_CPP} ${ROOT_XML} ${ROOT_XSL} ${ROOT_TXT})

=== test/gtc/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 glmCreateTestGTC(gtc_matrix_integer)
 glmCreateTestGTC(gtc_matrix_inverse)
 glmCreateTestGTC(gtc_matrix_transform)
+glmCreateTestGTC(gtc_noise)
 glmCreateTestGTC(gtc_quaternion)
+glmCreateTestGTC(gtc_random)
 glmCreateTestGTC(gtc_swizzle)
 glmCreateTestGTC(gtc_type_precision)
 glmCreateTestGTC(gtc_type_ptr)

=== test/gtx/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 glmCreateTestGTC(gtx_bit)
+glmCreateTestGTC(gtx_gradient_paint)
+glmCreateTestGTC(gtx_integer)
+glmCreateTestGTC(gtx_matrix_query)
 glmCreateTestGTC(gtx_noise)
 glmCreateTestGTC(gtx_quaternion)
 glmCreateTestGTC(gtx_random)
@@ -8,3 +11,4 @@
 glmCreateTestGTC(gtx_string_cast)
 glmCreateTestGTC(gtx_ulp)
 glmCreateTestGTC(gtx_vector_angle)
+glmCreateTestGTC(gtx_vector_query)

=== debian/changelog ===
glm (0.9.3.3+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack without non DFSG-free material. Closes: #685232

 -- David Prévot <taffit@debian.org>  Thu, 30 Aug 2012 23:34:20 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://glm.g-truc.net/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	
override_dh_auto_build:

override_dh_auto_clean:

## glm 0.9.4.3

=== debian/changelog ===
glm (0.9.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 05 May 2013 10:45:59 +0200

## glm 0.9.4.4

=== debian/changelog ===
glm (0.9.4.4-1ubuntu1) saucy; urgency=low

  * Mark libglm-dev Multi-Arch: foreign, to satisfy the deps of foreign-arch
    reverse-dependencies (e.g., libmirserver-dev).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Oct 2013 13:25:58 -0700

glm (0.9.4.4-1) unstable; urgency=low

  * New upstream release.
  * Run build-time tests. Closes: #707536

 -- Guus Sliepen <guus@debian.org>  Thu, 18 Jul 2013 12:46:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: glm
 Priority: extra
-Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), cmake
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://glm.g-truc.net/
 
 Package: libglm-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: C++ library for OpenGL GLSL type-based mathematics
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics

## glm 0.9.4.6

=== debian/changelog ===
glm (0.9.4.6-2) unstable; urgency=low

  [ Steve Langasek ]
  * Add Multi-Arch: foreign header to facilitate cross-compilation.

 -- Guus Sliepen <guus@debian.org>  Wed, 09 Oct 2013 23:07:07 +0200

glm (0.9.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 Sep 2013 00:00:39 +0200

glm (0.9.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 18 Aug 2013 16:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: glm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
 Standards-Version: 3.9.4
 Section: libs

## glm 0.9.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)

project(glm)
enable_testing()

add_definitions(-D_CRT_SECURE_NO_WARNINGS)

option(GLM_TEST_ENABLE "GLM test" OFF)
if(NOT GLM_TEST_ENABLE)
	message(FATAL_ERROR "GLM is a header only library, no need to build it. Set the option GLM_TEST_ENABLE with ON to build and run the test bench")
endif()

if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang") OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND UNIX))
	option(GLM_TEST_ENABLE_CXX_98 "Enable C++ 98" OFF)
	option(GLM_TEST_ENABLE_CXX_0X "Enable C++ 0x" OFF)
	option(GLM_TEST_ENABLE_CXX_11 "Enable C++ 11" OFF)
	option(GLM_TEST_ENABLE_CXX_1Y "Enable C++ 1y" OFF)
	option(GLM_TEST_ENABLE_CXX_PEDANTIC "Pedantic" ON)

	if(GLM_TEST_ENABLE_CXX_PEDANTIC)
		add_definitions(-pedantic)
	endif()

	if(GLM_TEST_ENABLE_CXX_1Y)
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++1y")
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
		set(CMAKE_CXX_FLAGS "-std=c++1y")
	elseif(GLM_TEST_ENABLE_CXX_11)
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
		set(CMAKE_CXX_FLAGS "-std=c++11")
	elseif(GLM_TEST_ENABLE_CXX_0X)
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++0x")
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
		set(CMAKE_CXX_FLAGS "-std=c++0x")
	elseif(GLM_TEST_ENABLE_CXX_98)
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++98")
		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
		set(CMAKE_CXX_FLAGS "-std=c++98")
	endif()
endif()

if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND WIN32))
	option(GLM_TEST_ENABLE_MS_EXTENSIONS "Enable MS extensions" OFF)

	if(NOT GLM_TEST_ENABLE_MS_EXTENSIONS)
		add_definitions(/Za)
	endif()
endif()

option(GLM_TEST_ENABLE_SIMD_SSE2 "Enable SSE2 optimizations" OFF)
option(GLM_TEST_ENABLE_SIMD_SSE3 "Enable SSE3 optimizations" OFF)
option(GLM_TEST_ENABLE_SIMD_AVX "Enable AVX optimizations" OFF)
option(GLM_TEST_ENABLE_SIMD_AVX2 "Enable AVX2 optimizations" OFF)
option(GLM_TEST_FORCE_PURE "Force 'pure' instructions" OFF)

if(GLM_TEST_FORCE_PURE)
	add_definitions(-DGLM_FORCE_PURE)

	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-mfpmath=387)
	elseif(MSVC)
		add_definitions(/arch:IA32)
	endif()
elseif(GLM_TEST_ENABLE_AVX2)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-mavx2)
	elseif(GLM_USE_INTEL)
		add_definitions(/QxAVX2)
	elseif(MSVC)
		add_definitions(/arch:AVX2)	
	endif()
elseif(GLM_TEST_ENABLE_AVX)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-mavx)
	elseif(GLM_USE_INTEL)
		add_definitions(/QxAVX)
	elseif(MSVC)
		add_definitions(/arch:AVX)	
	endif()
elseif(GLM_TEST_ENABLE_SSE3)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-msse3)
	elseif(GLM_USE_INTEL)
		add_definitions(/QxSSE3)
	elseif(MSVC)
		add_definitions(/arch:SSE2) # VC doesn't support /arch:SSE3	
	endif()
elseif(GLM_TEST_ENABLE_SSE2)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-msse2)
	elseif(GLM_USE_INTEL)
		add_definitions(/QxSSE2)
	elseif(MSVC)
		if(NOT CMAKE_CL_64)
			add_definitions(/arch:SSE2)	
		endif()
	endif()
endif()

option(GLM_TEST_ENABLE_FAST_MATH "Enable fast math optimizations" OFF)
if(GLM_TEST_ENABLE_FAST_MATH)
	if(CMAKE_COMPILER_IS_GNUCXX)
		add_definitions(-ffast-math)
	endif()

	if(MSVC)
		add_definitions(/fp:fast)	
	endif()
elseif(NOT GLM_TEST_ENABLE_FAST_MATH)
	if(MSVC)
		add_definitions(/fp:precise)	
	endif()
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
	#add_definitions(-S)
	#add_definitions(-s)
	#add_definitions(-m32)
	#add_definitions(-O3)

	#add_definitions(-fprofile-arcs -ftest-coverage) gcov
	#ctest_enable_coverage()
endif()

include_directories(".")
include_directories("./test/external")

add_subdirectory(glm)
add_subdirectory(test)

install(DIRECTORY glm DESTINATION include)

=== test/core/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
+glmCreateTestGTC(core_type_cast)
 glmCreateTestGTC(core_type_float)
-glmCreateTestGTC(core_type_half)
 glmCreateTestGTC(core_type_int)
+glmCreateTestGTC(core_type_length)
 glmCreateTestGTC(core_type_mat2x2)
 glmCreateTestGTC(core_type_mat2x3)
 glmCreateTestGTC(core_type_mat2x4)
@@ -23,6 +24,7 @@
 glmCreateTestGTC(core_func_packing)
 glmCreateTestGTC(core_func_trigonometric)
 glmCreateTestGTC(core_func_vector_relational)
+glmCreateTestGTC(core_func_swizzle)
 glmCreateTestGTC(core_setup_message)
 glmCreateTestGTC(core_setup_precision)

=== test/gtc/CMakeLists.txt ===
glmCreateTestGTC(gtc_constants)
glmCreateTestGTC(gtc_epsilon)
glmCreateTestGTC(gtc_matrix_access)
glmCreateTestGTC(gtc_matrix_integer)
glmCreateTestGTC(gtc_matrix_inverse)
glmCreateTestGTC(gtc_matrix_transform)
glmCreateTestGTC(gtc_noise)
glmCreateTestGTC(gtc_packing)
glmCreateTestGTC(gtc_quaternion)
glmCreateTestGTC(gtc_random)
glmCreateTestGTC(gtc_reciprocal)
glmCreateTestGTC(gtc_type_precision)
glmCreateTestGTC(gtc_type_ptr)
glmCreateTestGTC(gtc_ulp)

=== test/gtx/CMakeLists.txt ===
glmCreateTestGTC(gtx_associated_min_max)
glmCreateTestGTC(gtx_bit)
glmCreateTestGTC(gtx_closest_point)
glmCreateTestGTC(gtx_color_space_YCoCg)
glmCreateTestGTC(gtx_color_space)
glmCreateTestGTC(gtx_compatibility)
glmCreateTestGTC(gtx_component_wise)
glmCreateTestGTC(gtx_euler_angle)
glmCreateTestGTC(gtx_extend)
glmCreateTestGTC(gtx_extented_min_max)
glmCreateTestGTC(gtx_fast_exponential)
glmCreateTestGTC(gtx_fast_square_root)
glmCreateTestGTC(gtx_fast_trigonometry)
glmCreateTestGTC(gtx_gradient_paint)
glmCreateTestGTC(gtx_handed_coordinate_space)
glmCreateTestGTC(gtx_inertia)
glmCreateTestGTC(gtx_integer)
glmCreateTestGTC(gtx_intersect)
glmCreateTestGTC(gtx_io)
glmCreateTestGTC(gtx_log_base)
glmCreateTestGTC(gtx_matrix_cross_product)
glmCreateTestGTC(gtx_matrix_interpolation)
glmCreateTestGTC(gtx_matrix_major_storage)
glmCreateTestGTC(gtx_matrix_operation)
glmCreateTestGTC(gtx_matrix_query)
glmCreateTestGTC(gtx_multiple)
glmCreateTestGTC(gtx_norm)
glmCreateTestGTC(gtx_normal)
glmCreateTestGTC(gtx_normalize_dot)
glmCreateTestGTC(gtx_number_precision)
glmCreateTestGTC(gtx_orthonormalize)
glmCreateTestGTC(gtx_optimum_pow)
glmCreateTestGTC(gtx_perpendicular)
glmCreateTestGTC(gtx_polar_coordinates)
glmCreateTestGTC(gtx_projection)
glmCreateTestGTC(gtx_quaternion)
glmCreateTestGTC(gtx_dual_quaternion)
glmCreateTestGTC(gtx_rotate_normalized_axis)
glmCreateTestGTC(gtx_rotate_vector)
glmCreateTestGTC(gtx_scalar_relational)
glmCreateTestGTC(gtx_simd_vec4)
glmCreateTestGTC(gtx_simd_mat4)
glmCreateTestGTC(gtx_spline)
glmCreateTestGTC(gtx_string_cast)
glmCreateTestGTC(gtx_vector_angle)
glmCreateTestGTC(gtx_vector_query)

=== debian/changelog ===
glm (0.9.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes attempt to access private class members. Closes: #736264
  * Apply commit d7862e4 from upstream to prevent the tests from trying to use
    SSE2 instructions on platforms that don't support them. Closes: #735270

 -- Guus Sliepen <guus@debian.org>  Wed, 05 Feb 2014 16:47:42 +0100

glm (0.9.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Tue, 07 Jan 2014 14:49:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://glm.g-truc.net/

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,4 @@
 	dh $@ 
 
 override_dh_auto_configure:
-	
-override_dh_auto_build:
-
-override_dh_auto_clean:
+	dh_auto_configure -- -DGLM_TEST_ENABLE=ON

## glm 0.9.5.3

=== debian/changelog ===
glm (0.9.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 16 May 2014 12:21:49 +0200

glm (0.9.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 04 Mar 2014 14:01:01 +0100

## glm 0.9.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,14 @@
 project(glm)
 enable_testing()
 
+list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
+include(GNUInstallDirs)
+
 add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 
 option(GLM_TEST_ENABLE "GLM test" OFF)
 if(NOT GLM_TEST_ENABLE)
-	message(FATAL_ERROR "GLM is a header only library, no need to build it. Set the option GLM_TEST_ENABLE with ON to build and run the test bench")
+	message(STATUS "GLM is a header only library, no need to build it. Set the option GLM_TEST_ENABLE with ON to build and run the test bench")
 endif()
 
 if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang") OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND UNIX))
@@ -124,10 +127,11 @@
 	#ctest_enable_coverage()
 endif()
 
-include_directories(".")
-include_directories("./test/external")
+include_directories("${PROJECT_SOURCE_DIR}")
+include_directories("${PROJECT_SOURCE_DIR}/test/external")
 
 add_subdirectory(glm)
 add_subdirectory(test)
+add_subdirectory(util)
 
-install(DIRECTORY glm DESTINATION include)
+install(DIRECTORY glm DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR})

=== util/CMakeLists.txt ===
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindGLM.cmake
        DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/cmake)

=== debian/changelog ===
glm (0.9.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 06 Oct 2014 14:30:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://glm.g-truc.net/

=== debian/watch ===
version=3
http://sf.net/ogl-math/glm-([0-9.]*)\.zip

## glm 0.9.6.3

=== debian/changelog ===
glm (0.9.6.3-1) unstable; urgency=medium

  * New upstream release. Closes: #766154

 -- Guus Sliepen <guus@debian.org>  Mon, 20 Apr 2015 13:19:12 +0200

## glm 0.9.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,14 @@
 cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
-cmake_policy(VERSION 2.6)
 
 project(glm)
+set(GLM_VERSION "0.9.7")
+
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+
+include(GNUInstallDirs)
+include(CMakePackageConfigHelpers)
+
 enable_testing()
-
-list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
-include(GNUInstallDirs)
 
 add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 
@@ -19,13 +22,18 @@
 	option(GLM_TEST_ENABLE_CXX_0X "Enable C++ 0x" OFF)
 	option(GLM_TEST_ENABLE_CXX_11 "Enable C++ 11" OFF)
 	option(GLM_TEST_ENABLE_CXX_1Y "Enable C++ 1y" OFF)
-	option(GLM_TEST_ENABLE_CXX_PEDANTIC "Pedantic" ON)
+	option(GLM_TEST_ENABLE_CXX_14 "Enable C++ 14" OFF)
+	option(GLM_TEST_ENABLE_CXX_1Z "Enable C++ 1z" OFF)
 
-	if(GLM_TEST_ENABLE_CXX_PEDANTIC)
-		add_definitions(-pedantic)
-	endif()
-
-	if(GLM_TEST_ENABLE_CXX_1Y)
+	if(GLM_TEST_ENABLE_CXX_1Z)
+		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++1z")
+		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
+		set(CMAKE_CXX_FLAGS "-std=c++1Z")
+	elseif(GLM_TEST_ENABLE_CXX_14)
+		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++14")
+		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
+		set(CMAKE_CXX_FLAGS "-std=c++14")
+	elseif(GLM_TEST_ENABLE_CXX_1Y)
 		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++1y")
 		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
 		set(CMAKE_CXX_FLAGS "-std=c++1y")
@@ -44,11 +52,18 @@
 	endif()
 endif()
 
-if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND WIN32))
-	option(GLM_TEST_ENABLE_MS_EXTENSIONS "Enable MS extensions" OFF)
+option(GLM_TEST_ENABLE_MS_EXTENSIONS "Enable MS extensions" OFF)
 
-	if(NOT GLM_TEST_ENABLE_MS_EXTENSIONS)
+if(GLM_TEST_ENABLE_MS_EXTENSIONS)
+	if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang") OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU"))
+		add_definitions(-Wgnu-anonymous-struct)
+		add_definitions(-Wnested-anon-types)
+	endif()
+else()
+	if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND WIN32))
 		add_definitions(/Za)
+	elseif(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang") OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU"))
+		add_definitions(-pedantic)
 	endif()
 endif()
 
@@ -63,26 +78,24 @@
 
 	if(CMAKE_COMPILER_IS_GNUCXX)
 		add_definitions(-mfpmath=387)
-	elseif(MSVC)
-		add_definitions(/arch:IA32)
 	endif()
-elseif(GLM_TEST_ENABLE_AVX2)
+elseif(GLM_TEST_ENABLE_SIMD_AVX2)
 	if(CMAKE_COMPILER_IS_GNUCXX)
 		add_definitions(-mavx2)
 	elseif(GLM_USE_INTEL)
 		add_definitions(/QxAVX2)
 	elseif(MSVC)
-		add_definitions(/arch:AVX2)	
+		add_definitions(/arch:AVX2)
 	endif()
-elseif(GLM_TEST_ENABLE_AVX)
+elseif(GLM_TEST_ENABLE_SIMD_AVX)
 	if(CMAKE_COMPILER_IS_GNUCXX)
 		add_definitions(-mavx)
 	elseif(GLM_USE_INTEL)
 		add_definitions(/QxAVX)
 	elseif(MSVC)
-		add_definitions(/arch:AVX)	
+		add_definitions(/arch:AVX)
 	endif()
-elseif(GLM_TEST_ENABLE_SSE3)
+elseif(GLM_TEST_ENABLE_SIMD_SSE3)
 	if(CMAKE_COMPILER_IS_GNUCXX)
 		add_definitions(-msse3)
 	elseif(GLM_USE_INTEL)
@@ -90,14 +103,14 @@
 	elseif(MSVC)
 		add_definitions(/arch:SSE2) # VC doesn't support /arch:SSE3	
 	endif()
-elseif(GLM_TEST_ENABLE_SSE2)
+elseif(GLM_TEST_ENABLE_SIMD_SSE2)
 	if(CMAKE_COMPILER_IS_GNUCXX)
 		add_definitions(-msse2)
 	elseif(GLM_USE_INTEL)
 		add_definitions(/QxSSE2)
 	elseif(MSVC)
 		if(NOT CMAKE_CL_64)
-			add_definitions(/arch:SSE2)	
+			add_definitions(/arch:SSE2)
 		endif()
 	endif()
 endif()
@@ -120,8 +133,7 @@
 if(CMAKE_COMPILER_IS_GNUCXX)
 	#add_definitions(-S)
 	#add_definitions(-s)
-	#add_definitions(-m32)
-	#add_definitions(-O3)
+	add_definitions(-O2)
 
 	#add_definitions(-fprofile-arcs -ftest-coverage) gcov
 	#ctest_enable_coverage()
@@ -132,6 +144,56 @@
 
 add_subdirectory(glm)
 add_subdirectory(test)
-add_subdirectory(util)
 
-install(DIRECTORY glm DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR})
+set(GLM_INSTALL_CONFIGDIR "${CMAKE_INSTALL_LIBDIR}/cmake/glm")
+install(DIRECTORY glm DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+
+write_basic_package_version_file(
+    "${CMAKE_CURRENT_BINARY_DIR}/glmVersion.cmake"
+    VERSION ${GLM_VERSION}
+    COMPATIBILITY AnyNewerVersion
+)
+
+# build tree package config
+configure_file(
+    cmake/glmBuildConfig.cmake.in
+    glmConfig.cmake
+    @ONLY
+)
+
+# install tree package config
+configure_package_config_file(
+    cmake/glmConfig.cmake.in
+    ${GLM_INSTALL_CONFIGDIR}/glmConfig.cmake
+    INSTALL_DESTINATION ${GLM_INSTALL_CONFIGDIR}
+    PATH_VARS CMAKE_INSTALL_INCLUDEDIR
+    NO_CHECK_REQUIRED_COMPONENTS_MACRO
+)
+
+install(
+    FILES 
+        "${CMAKE_CURRENT_BINARY_DIR}/${GLM_INSTALL_CONFIGDIR}/glmConfig.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/glmVersion.cmake"
+    DESTINATION ${GLM_INSTALL_CONFIGDIR}
+)
+
+if (NOT CMAKE_VERSION VERSION_LESS "3.0")
+    add_library(glm INTERFACE)
+    target_include_directories(glm INTERFACE
+        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+    )
+    install(TARGETS glm EXPORT glmTargets)
+
+    export(
+        EXPORT glmTargets
+        FILE "${CMAKE_CURRENT_BINARY_DIR}/glmTargets.cmake"
+    )
+    
+    install(
+        EXPORT glmTargets FILE glmTargets.cmake
+        DESTINATION ${GLM_INSTALL_CONFIGDIR}
+    )
+endif()
+
+export(PACKAGE glm)

=== test/gtc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
+glmCreateTestGTC(gtc_bitfield)
+glmCreateTestGTC(gtc_color_space)
 glmCreateTestGTC(gtc_constants)
 glmCreateTestGTC(gtc_epsilon)
+glmCreateTestGTC(gtc_integer)
 glmCreateTestGTC(gtc_matrix_access)
 glmCreateTestGTC(gtc_matrix_integer)
 glmCreateTestGTC(gtc_matrix_inverse)
@@ -8,7 +11,9 @@
 glmCreateTestGTC(gtc_packing)
 glmCreateTestGTC(gtc_quaternion)
 glmCreateTestGTC(gtc_random)
+glmCreateTestGTC(gtc_round)
 glmCreateTestGTC(gtc_reciprocal)
 glmCreateTestGTC(gtc_type_precision)
 glmCreateTestGTC(gtc_type_ptr)
 glmCreateTestGTC(gtc_ulp)
+glmCreateTestGTC(gtc_vec1)

=== test/gtx/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 glmCreateTestGTC(gtx_associated_min_max)
-glmCreateTestGTC(gtx_bit)
 glmCreateTestGTC(gtx_closest_point)
 glmCreateTestGTC(gtx_color_space_YCoCg)
 glmCreateTestGTC(gtx_color_space)
+glmCreateTestGTC(gtx_common)
 glmCreateTestGTC(gtx_compatibility)
 glmCreateTestGTC(gtx_component_wise)
 glmCreateTestGTC(gtx_euler_angle)
@@ -13,17 +13,17 @@
 glmCreateTestGTC(gtx_fast_trigonometry)
 glmCreateTestGTC(gtx_gradient_paint)
 glmCreateTestGTC(gtx_handed_coordinate_space)
-glmCreateTestGTC(gtx_inertia)
 glmCreateTestGTC(gtx_integer)
 glmCreateTestGTC(gtx_intersect)
 glmCreateTestGTC(gtx_io)
 glmCreateTestGTC(gtx_log_base)
 glmCreateTestGTC(gtx_matrix_cross_product)
+glmCreateTestGTC(gtx_matrix_decompose)
 glmCreateTestGTC(gtx_matrix_interpolation)
 glmCreateTestGTC(gtx_matrix_major_storage)
 glmCreateTestGTC(gtx_matrix_operation)
 glmCreateTestGTC(gtx_matrix_query)
-glmCreateTestGTC(gtx_multiple)
+glmCreateTestGTC(gtx_matrix_transform_2d)
 glmCreateTestGTC(gtx_norm)
 glmCreateTestGTC(gtx_normal)
 glmCreateTestGTC(gtx_normalize_dot)
@@ -35,12 +35,16 @@
 glmCreateTestGTC(gtx_projection)
 glmCreateTestGTC(gtx_quaternion)
 glmCreateTestGTC(gtx_dual_quaternion)
+glmCreateTestGTC(gtx_range)
 glmCreateTestGTC(gtx_rotate_normalized_axis)
 glmCreateTestGTC(gtx_rotate_vector)
+glmCreateTestGTC(gtx_scalar_multiplication)
 glmCreateTestGTC(gtx_scalar_relational)
 glmCreateTestGTC(gtx_simd_vec4)
 glmCreateTestGTC(gtx_simd_mat4)
 glmCreateTestGTC(gtx_spline)
 glmCreateTestGTC(gtx_string_cast)
+glmCreateTestGTC(gtx_type_aligned)
 glmCreateTestGTC(gtx_vector_angle)
 glmCreateTestGTC(gtx_vector_query)
+glmCreateTestGTC(gtx_wrap)

=== debian/changelog ===
glm (0.9.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 24 Jan 2016 22:49:41 +0100

glm (0.9.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Sep 2015 14:38:03 +0200

glm (0.9.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file to look for releases on GitHub.
  * Use a symlink to the libjs-jquery package for jquery.js.
  * Update debian/copyright.
  * Enable dh --parallel.

 -- Guus Sliepen <guus@debian.org>  Wed, 02 Sep 2015 16:16:54 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: libjs-jquery
 Description: documentation for the OpenGL Mathematics (GLM) library
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
  software based on the OpenGL Shading Language (GLSL) specification.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DGLM_TEST_ENABLE=ON

=== debian/watch ===
version=3
https://github.com/g-truc/glm/releases .*/glm-(\d\S*)\.zip

## glm 0.9.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
+cmake_policy(VERSION 2.6)
+if (NOT CMAKE_VERSION VERSION_LESS "3.1")
+	cmake_policy(SET CMP0054 NEW)
+endif()
 
 project(glm)
 set(GLM_VERSION "0.9.7")

=== debian/changelog ===
glm (0.9.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Add a glm.pc file. Closes: #737088
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 May 2016 12:43:03 +0200

glm (0.9.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Install .cmake files in /usr/lib/cmake/glm. Closes: #812855

 -- Guus Sliepen <guus@debian.org>  Wed, 06 Apr 2016 15:58:47 +0200

glm (0.9.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to use xz compression.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Wed, 24 Feb 2016 16:39:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://glm.g-truc.net/

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DGLM_TEST_ENABLE=ON
+
+override_dh_auto_build:
+	dh_auto_build -- CMAKE_INSTALL_PREFIX=/usr/lib/cmake

## glm 0.9.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif()
 
 project(glm)
-set(GLM_VERSION "0.9.7")
+set(GLM_VERSION "0.9.8")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -15,11 +15,23 @@
 enable_testing()
 
 add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+
+option(GLM_STATIC_LIBRARY_ENABLE "GLM static library" OFF)
+if(GLM_STATIC_LIBRARY_ENABLE)
+	message(STATUS "GLM is a header only library, no need to build it. Set the option GLM_STATIC_LIBRARY_ENABLE with ON to build an optional static library")
+endif()
+
+option(GLM_DYNAMIC_LIBRARY_ENABLE "GLM static library" OFF)
+if(GLM_DYNAMIC_LIBRARY_ENABLE)
+	message(STATUS "GLM is a header only library, no need to build it. Set the option GLM_DYNAMIC_LIBRARY_ENABLE with ON to build an optional dynamic library")
+endif()
 
 option(GLM_TEST_ENABLE "GLM test" OFF)
 if(NOT GLM_TEST_ENABLE)
 	message(STATUS "GLM is a header only library, no need to build it. Set the option GLM_TEST_ENABLE with ON to build and run the test bench")
 endif()
+
+option(GLM_TEST_ENABLE_FAST_MATH "Enable fast math optimizations" OFF)
 
 if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang") OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND UNIX))
 	option(GLM_TEST_ENABLE_CXX_98 "Enable C++ 98" OFF)
@@ -53,15 +65,27 @@
 		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++98")
 		set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
 		set(CMAKE_CXX_FLAGS "-std=c++98")
-	endif()
-endif()
-
-option(GLM_TEST_ENABLE_MS_EXTENSIONS "Enable MS extensions" OFF)
-
-if(GLM_TEST_ENABLE_MS_EXTENSIONS)
-	if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang") OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU"))
-		add_definitions(-Wgnu-anonymous-struct)
-		add_definitions(-Wnested-anon-types)
+		if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+			add_definitions(-Wno-long-long)
+		endif()
+	endif()
+endif()
+
+option(GLM_TEST_ENABLE_LANG_EXTENSIONS "Enable language extensions" OFF)
+
+if(GLM_TEST_ENABLE_LANG_EXTENSIONS)
+	if(GLM_TEST_ENABLE_FAST_MATH)
+		if(CMAKE_COMPILER_IS_GNUCXX)
+			add_definitions(-ffast-math)
+		endif()
+
+		if(MSVC)
+			add_definitions(/fp:fast)
+		endif()
+	elseif(NOT GLM_TEST_ENABLE_FAST_MATH)
+		if(MSVC)
+			add_definitions(/fp:precise)
+		endif()
 	endif()
 else()
 	if(("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC") OR (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel") AND WIN32))
@@ -104,7 +128,7 @@
 		add_definitions(-msse3)
 	elseif(GLM_USE_INTEL)
 		add_definitions(/QxSSE3)
-	elseif(MSVC)
+	elseif(MSVC AND NOT CMAKE_CL_64)
 		add_definitions(/arch:SSE2) # VC doesn't support /arch:SSE3	
 	endif()
 elseif(GLM_TEST_ENABLE_SIMD_SSE2)
@@ -112,25 +136,8 @@
 		add_definitions(-msse2)
 	elseif(GLM_USE_INTEL)
 		add_definitions(/QxSSE2)
-	elseif(MSVC)
-		if(NOT CMAKE_CL_64)
-			add_definitions(/arch:SSE2)
-		endif()
-	endif()
-endif()
-
-option(GLM_TEST_ENABLE_FAST_MATH "Enable fast math optimizations" OFF)
-if(GLM_TEST_ENABLE_FAST_MATH)
-	if(CMAKE_COMPILER_IS_GNUCXX)
-		add_definitions(-ffast-math)
-	endif()
-
-	if(MSVC)
-		add_definitions(/fp:fast)	
-	endif()
-elseif(NOT GLM_TEST_ENABLE_FAST_MATH)
-	if(MSVC)
-		add_definitions(/fp:precise)	
+	elseif(MSVC AND NOT CMAKE_CL_64)
+		add_definitions(/arch:SSE2)
 	endif()
 endif()
 
@@ -143,6 +150,10 @@
 	#ctest_enable_coverage()
 endif()
 
+if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
+	add_definitions(/FAs)
+endif()
+
 include_directories("${PROJECT_SOURCE_DIR}")
 include_directories("${PROJECT_SOURCE_DIR}/test/external")
 
@@ -153,7 +164,7 @@
 install(DIRECTORY glm DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 write_basic_package_version_file(
-    "${CMAKE_CURRENT_BINARY_DIR}/glmVersion.cmake"
+    "${CMAKE_CURRENT_BINARY_DIR}/glmConfigVersion.cmake"
     VERSION ${GLM_VERSION}
     COMPATIBILITY AnyNewerVersion
 )
@@ -177,7 +188,7 @@
 install(
     FILES 
         "${CMAKE_CURRENT_BINARY_DIR}/${GLM_INSTALL_CONFIGDIR}/glmConfig.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/glmVersion.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/glmConfigVersion.cmake"
     DESTINATION ${GLM_INSTALL_CONFIGDIR}
 )
 
@@ -200,4 +211,17 @@
     )
 endif()
 
+# build pkg-config file
+configure_file(
+    "./cmake/glm.pc.in"
+    "glm.pc"
+    @ONLY
+)
+
+# install pkg-config file
+install(
+    FILES "${CMAKE_CURRENT_BINARY_DIR}/glm.pc"
+    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
+)
+
 export(PACKAGE glm)

=== debian/changelog ===
glm (0.9.8.3-3) unstable; urgency=medium

  * Fix FTBFS on i386. Closes: 860701

 -- Guus Sliepen <guus@debian.org>  Wed, 19 Apr 2017 16:39:23 +0200

glm (0.9.8.3-2) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Clear old patch queue, no longer needed
  * Fix CMake detection on all architectures
    - New patch Fix-CMake-package-version-file.patch (Closes: #850277, #850243)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 11 Jan 2017 23:58:59 +0000

glm (0.9.8.3-1) unstable; urgency=medium

  * New upstream version 0.9.8.3
  * Bump debian/compat.

 -- Guus Sliepen <guus@debian.org>  Wed, 07 Dec 2016 16:27:40 +0100

glm (0.9.8.1-1) unstable; urgency=medium

  * New upstream version 0.9.8.1

 -- Guus Sliepen <guus@debian.org>  Thu, 06 Oct 2016 15:19:26 +0200

glm (0.9.8.0-1) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Add gbp configuration file.
  * Run cme fix on d/control and d/copyright.
  * Move maintenance over to the Debian Science Team.

  [ Guus Sliepen ]
  * New upstream version 0.9.8.0

 -- Guus Sliepen <guus@debian.org>  Fri, 23 Sep 2016 14:16:07 +0200

glm (0.9.7.6-1) unstable; urgency=medium

  [ Guus Sliepen ]
  * New upstream release.

  [ Ghislain Antony Vaillant ]
  * Fix CMake package installation. Closes: #827799
  * Enable testing depending on nocheck.
  * Add packaging testsuite.

 -- Guus Sliepen <guus@debian.org>  Wed, 24 Aug 2016 22:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: glm
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Guus Sliepen <guus@debian.org>
+Section: libs
+Testsuite: autopkgtest
 Priority: extra
-Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake
+Build-Depends: debhelper (>= 10),
+               cmake
 Standards-Version: 3.9.8
-Section: libs
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glm.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glm.git
 Homepage: http://glm.g-truc.net/
 
 Package: libglm-dev
-Section: libdevel
 Architecture: all
 Multi-Arch: foreign
+Section: libdevel
 Depends: ${misc:Depends}
 Description: C++ library for OpenGL GLSL type-based mathematics
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
@@ -30,8 +35,8 @@
  convenient mathematics library.
 
 Package: libglm-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Recommends: libjs-jquery
 Description: documentation for the OpenGL Mathematics (GLM) library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR="lib" \
		-DGLM_TEST_ENABLE=ON
else
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR="lib" \
		-DGLM_TEST_ENABLE=OFF
endif

# NOTE: This override may be removed in the future if upstream decides to use
# the enable_testing() command in CMake. 
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C obj-* test
endif

## glm 0.9.8.4

=== debian/changelog ===
glm (0.9.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Make libglm-doc Multi-Arch: foreign.
  * Drop patches/fix-packing-test, a proper fix has been applied upstream.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 24 Jun 2017 17:27:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 10),
                cmake
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glm.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glm.git
 Homepage: http://glm.g-truc.net/
@@ -36,6 +36,7 @@
 
 Package: libglm-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: libjs-jquery
